> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Delete a single image by ID

DELETE https://api.fiftytwo.com/masterdata/images/v1/chain/{chain}/{id}

Deletes an image metadata for the specified chain and queues the operation. The operation is asynchronous.
The imageId is an MD5 hash (32 character hex string) of the image content.
            
The physical image file is only deleted when there are no metadata records left across ALL chains for the customer.
This allows the same image to be referenced by multiple chains without duplicating storage.
            
**Example Request:**
```
DELETE /images/v1/chain/1/7af0a3950a162be27488d0c1f292f9ab
```
            
**Response Headers:**
- `Location` - URL to check the deletion status

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/images/delete-image

## Request

### Path parameters

- `chain` (integer, required) — The ID of the chain
- `id` (string, required) — The image ID to delete (MD5 hash, 32 character hex string)

## Response

### 202

Image deletion queued successfully. Check Location header for status tracking URL.

## Errors

### 404 Not Found Error

Image with the specified ID was not found

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://api.fiftytwo.com/masterdata/images/v1/chain/1/id';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.fiftytwo.com/masterdata/images/v1/chain/1/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/images/v1/chain/1/id");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/images/v1/chain/1/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```